Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Conversation.ParticipantFilter

    java.lang.Object
      java.lang.Enum<Conversation.ParticipantFilter>
          com.skype.api.Conversation.ParticipantFilter

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Conversation.ParticipantFilter>

Enclosing class:
  Conversation

    public static enum Conversation.ParticipantFilter

extends java.lang.Enum<Conversation.ParticipantFilter>
implements EnumConverting

Enum Constant Summary
`ALL` All participants (may included some that are RETIRED or OUTLAW, but not all of them)
`APPLICANTS` Only people who are applying to join the conversation
`CONSUMERS` Participants that can receive messages, including myself
`CONSUMERS_AND_APPLICANTS` Consumers and applicants
`MYSELF` Myself
`OTHER_CONSUMERS` All consumers except myself

Field Summary
`static int` | `ALL_VALUE`
`static int` | `APPLICANTS_VALUE`
`static int` | `CONSUMERS_AND_APPLICANTS_VALUE`
`static int` | `CONSUMERS_VALUE`
`static int` | `MYSELF_VALUE`
`static int` | `OTHER_CONSUMERS_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Conversation.ParticipantFilter` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Conversation.ParticipantFilter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Conversation.ParticipantFilter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final Conversation.ParticipantFilter ALL

  All participants (may included some that are RETIRED or OUTLAW, but not all of them)

### CONSUMERS

    public static final Conversation.ParticipantFilter CONSUMERS

  Participants that can receive messages, including myself

### APPLICANTS

    public static final Conversation.ParticipantFilter APPLICANTS

  Only people who are applying to join the conversation

### CONSUMERS_AND_APPLICANTS

    public static final Conversation.ParticipantFilter CONSUMERS_AND_APPLICANTS

  Consumers and applicants

### MYSELF

    public static final Conversation.ParticipantFilter MYSELF

  Myself

### OTHER_CONSUMERS

    public static final Conversation.ParticipantFilter OTHER_CONSUMERS

  All consumers except myself

Field Detail

### ALL_VALUE

    public static final int ALL_VALUE

See Also:
  Constant Field Values

### CONSUMERS_VALUE

    public static final int CONSUMERS_VALUE

See Also:
  Constant Field Values

### APPLICANTS_VALUE

    public static final int APPLICANTS_VALUE

See Also:
  Constant Field Values

### CONSUMERS_AND_APPLICANTS_VALUE

    public static final int CONSUMERS_AND_APPLICANTS_VALUE

See Also:
  Constant Field Values

### MYSELF_VALUE

    public static final int MYSELF_VALUE

See Also:
  Constant Field Values

### OTHER_CONSUMERS_VALUE

    public static final int OTHER_CONSUMERS_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Conversation.ParticipantFilter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Conversation.ParticipantFilter c : Conversation.ParticipantFilter.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Conversation.ParticipantFilter valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Conversation.ParticipantFilter get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.